# civicrm

> CiviCRM Wordpress

<!-- metadata -->

* **Category**: Apps
* **Status**: 0
* **Image**: [`civicrm`](https://hub.docker.com/r/civicrm), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start
* `abra app new civicrm-wordpress`
* `abra app config <app-name>`

SMTP:
* Make sure to configure Traefik to support SMTP

Authentik integration:
* When configuring, uncomment `COMPOSE_FILE`, `OPEN_ID_CLIENT_ID`, `SECRET_OPEN_ID_CLIENT_SECRET_VERSION`, and `AUTHENTIK_DOMAIN`
* To configure your Authentik deployment, follow the guide at [`docs.goauthentik.io/integrations/services/wordpress`](https://docs.goauthentik.io/integrations/services/wordpress/).
* NOTE: at the time of writing the Authentik integration guide incorrectly says to set the redirect URI to `https://wp.company/admin-ajax.php?action=openid-connect-authorize` when it should be `https://wp.company/wp-admin/admin-ajax.php?action=openid-connect-authorize`
* If using a different OpenID provider, leave `AUTHENTIK_DOMAIN` commented and uncomment the other OpenID configuration options

Insert secrets:
* `abra app secret i <app-name> wordpress_admin_password v1 '<temp account password>'`
* `abra app secret i <app-name> smtp_password v1 '<smtp password>'`
* (Authentik) `abra app secret i <app-name> openid_client_secret v1 <openid client secret>`

Generate secrets (be sure to save them):
* `abra app secret g -a <app-name>`

Deploy app:
* `abra app deploy <app-name>`

For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech).


### Install extensions

set them in the env config and run: `abra app cmd civi.example.org app install_extensions`

to install unoffical extension run smth like:

```
abra app cmd civi.example.org app install_custom_extension shoreditch https://github.com/civicrm/org.civicrm.shoreditch
abra app cmd civi.example.org app install_custom_extension shoreditchwpworkarounds https://lab.civicrm.org/extensions/shoreditchwpworkarounds.git
```
